import { AsyncLocalStorage } from 'node:async_hooks';
import { IUserCodeLogItem } from './types';
declare const CONTEXT_ID: unique symbol;
/**
 * 异步上下文内容
 */
export interface ExecutionContext {
    id: typeof CONTEXT_ID;
    /**
     * 本次请求是否已经结束
     */
    done: boolean;
    /**
     * 事件ID
     */
    eventID: string;
    /**
     * 每次请求相关联的日志
     */
    userCodeLogs?: Array<IUserCodeLogItem>;
    /**
     * 用户日志 Flush 定时器
     */
    userCodeLogsFlushTimer?: NodeJS.Timeout;
}
export declare const asyncContext: AsyncLocalStorage<ExecutionContext>;
export declare function newExecutionContext(eventID: string): ExecutionContext;
export declare function wrapWithAsyncContext(eventID: string, fn: () => void): Promise<void>;
export declare function getCurrentAsyncContext(): ExecutionContext | undefined;
export declare function isInFrameworkAsyncContext(): boolean;
export declare function getCurrentEventID(): string;
export declare function done(): Promise<void>;
export {};
//# sourceMappingURL=async-context.d.ts.map