"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.healthzMiddleware = healthzMiddleware;
function healthzMiddleware(options = { includes: ['/_healthz'] }) {
    const includePathSet = options.includes ? new Set(options.includes) : null;
    return function healthz(ctx, next) {
        if (ctx.method === 'HEAD' &&
            includePathSet &&
            includePathSet.has(ctx.path)) {
            // 标记健康检查请求
            ctx.status = 200;
            ctx.body = '';
        }
        else {
            return next();
        }
    };
}
//# sourceMappingURL=healthz.js.map